bug-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bugs #11134] ./configure meaningless error or similar


From: matt rice
Subject: [bugs #11134] ./configure meaningless error or similar
Date: Thu, 25 Nov 2004 15:47:53 -0500
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041124 Firefox/1.0

This mail is an automated notification from the bugs tracker
 of the project: GNUstep.

/**************************************************************************/
[bugs #11134] Latest Modifications:

Changes by: 
                matt rice <address@hidden>
'Date: 
                Thu 11/25/2004 at 20:42 (GMT)

------------------ Additional Follow-up Comments ----------------------------
gentoo's "profile.env" is setting CPATH='/usr/include/libffi'
so it is finding the libffi headers, but gnustep's configure doesn't check if 
it can actually link to libffi or libffcall.. 
only that the headers are there.. 

attached to this is a patch, but i think i'm running the wrong autoconf to 
regenerate it for cvs.






/**************************************************************************/
[bugs #11134] Full Item Snapshot:

URL: <http://savannah.gnu.org/bugs/?func=detailitem&item_id=11134>
Project: GNUstep
Submitted by: Pupeno
On: Thu 11/25/2004 at 20:07

Category:  Base/Foundation
Severity:  5 - Average
Item Group:  Change Request
Resolution:  None
Privacy:  Public
Assigned to:  None
Status:  Open


Summary:  ./configure meaningless error or similar

Original Submission:  While running ./configure on a very recent gnustep-base 
(grabbed with cvs a couple of hours ago) I had this error:

checking for callback.h... no
checking "for forwarding callback in runtime"... yes
checking "FFI library usage"... libffi
checking for xml2-config... /usr/bin/xml2-config
checking for libxml - version >= 2.3.0... no
*** Could not run libxml test program, checking why...

You most likely do not want to build base without XML support.
For instance, MacOS-X compatible property lists require XML.
If you really want to build -base without XML support, add --disable-xml
to the configure arguments.
configure: error: Missing support for XML functionality.
address@hidden base $

I'm currently running gentoo and there's nothing with my xml, and in fact, the 
problem is with libffi, which is installed in /usr/lib/libffi/ and 
/usr/include/libffi. Maybe that's not nice and the ./configure script can't 
detect it, but even then, the error should be more accurte.

After running the following command, it worked:
$ ./configure --with-ffi-include=/usr/include/libffi/ --with-ffi-library=/usr/l
ib/libffi/

Thank you.

Follow-up Comments
------------------


-------------------------------------------------------
Date: Thu 11/25/2004 at 20:42       By: matt rice <ratmice>
gentoo's "profile.env" is setting CPATH='/usr/include/libffi'
so it is finding the libffi headers, but gnustep's configure doesn't check if 
it can actually link to libffi or libffcall.. 
only that the headers are there.. 

attached to this is a patch, but i think i'm running the wrong autoconf to 
regenerate it for cvs.






File Attachments
-------------------

-------------------------------------------------------
Date: Thu 11/25/2004 at 20:42  Name: configure.ac-2.diff  Size: 1.43KB   By: 
ratmice

http://savannah.gnu.org/bugs/download.php?item_id=11134&amp;item_file_id=1915






For detailed info, follow this link:
<http://savannah.gnu.org/bugs/?func=detailitem&item_id=11134>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/







reply via email to

[Prev in Thread] Current Thread [Next in Thread]